Ticket #41266

ゾートシヴァがモンスター検索で常に検出される (フォーラムメッセージ #86644 からの引用)

Open Date: 2021-01-19 22:32 Last Update: 2021-01-21 22:31

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

フォーラム 変愚蛮怒3.0.0Alpha開発フォーラム [#86644] からの引用

[forum: 86644]

> 文字の説明(/) で名前で検索(^M)すると、ゾートとシヴァの化身の軟革ブーツが常に検索に引っかかります。

配列外アクセスの問題だった
コード中に散らばったマジックナンバーもいい加減どうにかしないといけない

Ticket History (3/7 Histories)

2021-01-19 22:32 Updated by: hourier
  • New Ticket "ゾートシヴァがモンスター検索で常に検出される (フォーラムメッセージ #86644 からの引用)" created
2021-01-20 22:14 Updated by: deskull
Comment

ひとまずマージしました、が例の無敵(以下略)も含めて80byte分にとどめてアウトになっている個所はまだいくつもあるはずなのでチケット自体はまだ据え置きにしておきます。

2021-01-20 23:11 Updated by: hourier
Comment

feature/Fix-Monster-OutOfArrayAccess にて継続対応しましたが、あまり自信がないです

一応「80」で全文検索して、それっぽいものをMAX_MONSTER_NAME に置換したつもりです

レビューを実施し、問題ありましたらこのチケットで指摘して下さい

・developとの差分において、モンスター名でないものまで置換していないか (←優先度高、今後の保守で担当者を混乱させないため

・上に同じく、モンスター名であるはずの配列サイズを置換し損ねていないか (←優先度低、最悪都度対応でも良い

なお同値の定数マクロにMAX_NLEN というものもありましたが、「オブジェクトの最大サイズ」とちょっとあやふやな表記だったので使用しませんでした

同一目的で運用されているのであればその旨もご連絡下さい、こちらで修正します

2021-01-21 08:14 Updated by: deskull
Comment

MAX_NLENはコメの通り、オブジェクト(アイテム)名のつもりで命名したものですね。ネタや機能拡張でアイテムの名前本体や、記述が増えた場合にスムーズに拡張できるようにという観点で加えたことを思い出しました。 モンスター名とば別名、かつ分かりやすい定数にすべきかもしれません。ここまでの内容をマージしつつ、まだもう少しこの観点の問題があると考えチケットは維持しましょう。

2021-01-21 08:19 Updated by: deskull
Comment

ブランチ自体も維持します。

2021-01-21 09:19 Updated by: hourier
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

レビューありがとうございました、モンスター名でないものは置換されていないようなのでこのチケットはクローズします

別チケット#41296を作成済なので以後はそちらで対応します

(チケットの寿命を伸ばすのは問題自体が長期化する原因になる+ブランチの寿命も伸びて差分が増えるので好ましくない)

2021-01-21 22:31 Updated by: deskull
Comment

了解しました。まずはお疲れ様です。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login